@echo off

rem 　----------------------------
rem 　PATHが通っていれば設定不要
rem 　----------------------------
rem set javabin=C:\j2sdk1.4.2_10\bin\
rem set javabin="C:\Program Files\Java\jre1.5.0_06\bin\"
rem set javabin="C:\Program Files\Java\jre1.5.0_10\bin\"
rem set javabin="C:\Program Files\Java\jre1.6.0\bin\"
rem set javabin="C:\Program Files\Java\jre1.6.0_07\bin\"

cls

if "%1" == "" goto MODEL

cd /d %~dp0

rem 　----------------------------
rem 　%j80% は無視
rem 　----------------------------
rem %javabin%java -verbose:gc -jar j80.jar %1
rem %javabin%java -jar j80.jar %1
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false j80.jar %1
pause
exit


:MODEL
rem 　********************************************
rem 　WindowsXP には choice コマンドが無いようです
rem 　別途調達してください
rem 　********************************************

rem set j80=j80r1.jar
rem set j80=j80r2.jar
set j80=j80.jar
set j88=j80.jar

set cfg=.\config\setup.test\

echo 　----------------------------------
echo 　★　セットアップモード　テスト　★
echo 　----------------------------------
echo 　1:PC-8801FH
echo 　2:PC-8801FA
echo 　-  -  -  -  -  -  -  -  -  -  -  -
echo 　3:PC-8801MA2
echo 　-  -  -  -  -  -  -  -  -  -  -  -
echo 　4:PC-8801FE2
echo 　5:PC-8801FE2 + SB2
echo 　----------------------------------
rem 番号を選んでください (5秒後に 1 ) /C:12345 /T:1,5
..\choice 番号を選んでください /C:12345
cls

if errorlevel 5 goto PC88SB2
if errorlevel 4 goto PC88FE2
if errorlevel 3 goto PC88MA2
if errorlevel 2 goto PC88FA

:PC88FH
rem %javabin%java -verbose:gc -jar %j80% %cfg%PC-8801FH.cfg
rem %javabin%java -jar %j80% %cfg%PC-8001.cfg
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j80% %cfg%PC-8801FH.cfg
pause
exit

:PC88FA
rem %javabin%java -verbose:gc -jar %j80% %cfg%PC-8801FA.cfg
rem %javabin%java -jar %j80% %cfg%PC-8801FA.cfg
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j80% %cfg%PC-8801FA.cfg
pause
exit

:PC88MA2
rem %javabin%java -verbose:gc -jar %j80% %cfg%PC-8801MA2.cfg
rem %javabin%java -jar %j80% %cfg%PC-8801MA2.cfg
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j80% %cfg%PC-8801MA2.cfg
pause
exit

:PC88FE2
rem %javabin%java -verbose:gc -jar %j80% %cfg%PC-8801FE2.cfg
rem %javabin%java -jar %j80% %cfg%PC-8801FE2.cfg
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j80% %cfg%PC-8801FE2.cfg
pause
exit

:PC88SB2
rem %javabin%java -verbose:gc -jar %j80% %cfg%PC-8801FE2_SB2.cfg
rem %javabin%java -jar %j80% %cfg%PC-8801FE2_SB2.cfg
%javabin%java -jar -Dsun.java2d.d3d=false -Dswing.boldMetal=false %j80% %cfg%PC-8801FE2_SB2.cfg
pause
exit

